Subject: bug#47674: dnsmasq is vulnerable to CVE-2021-3448

From: Nicolò Balzarotti <[email-masked]>
Date: Fri, 09 Apr 2021 21:47:13 +0200

Leo Famulari <[email-masked]> writes:

> On Fri, Apr 09, 2021 at 05:10:43PM +0200, Nicolò Balzarotti wrote:
>> All dependent packages (refresh -l) build fine except for
>> [email-masked], which is failing also on master
>> (libvirt-python requires Python >= 3.5 to build).  Since it's a python2
>> package and no other packages depends on it, can we just drop it?
>
> I notice that python2-libvirt builds okay on staging:
>
> https://ci.guix.gnu.org/search?query=python2-libvirt&border-high-id=134835

Staging has an older version (5.8 vs 7.2, which has been released in
november 2019 [fn:1] though), and it got updated a few days ago
(28cc447fc5bd0a219ad54836a343826cc34d9bd7) if I'm not wrong, so it should
fail on staging too.  Am I wrong?

[fn:1] https://pypi.org/project/libvirt-python/#history